Table of Contents

Introduction

The main goals of the Spatial Reference Catalog service are to offer:

  • Coordinate Reference Systems (CRSs) to enable end users to make a CRS selection.
  • Search for CRSs given a number of constraints.
  • Download of the entire catalog for local caching and when the cache has to be refreshed.
  • Access to various subsets of the catalog.
  • After a CRS is found, produce a persistable reference to be stored with the data, which fully describes the CRS. This persistable reference string becomes catalog independent. This means any consumer will be able to understand the CRS definition even if a different catalog is used in the future context.

Back to table of contents

Fundamental concepts

Coordinate Reference Systems (CRS) consists of a coordinate system combined with a geodetic reference. The geodetic reference, also called a geodetic datum or geographic coordinate reference, system takes an ellipsoid as a mathematical approximation of the earth and a prime meridian where the longitude is zero. The latitude is zero at the equator. The latitude and longitude are measured in plane angles (spherical coordinate system). Because the mathematical shape is an approximation, there are many realizations of geodetic references, often optimized for a single landmass or continent. Some examples include NAD27, NAD83 in North America, and ED50 in Europe.

With the introduction of satellites, a one world-wide approximation has been defined, which is the World Geodetic System of 1984 (WGS 84). This is the reference used in the Global Positioning System. WGS 84 is still a mathematical approximation. Over time, plate tectonics move the continents under the ellipsoid. At the moment, the relative shifts are in the order of normal GPS resolution, but it will accumulate further over time. Eventually the geospatial references will become time dependent. The current catalog does not contain any time-dependent elements yet.

Each geodetic reference is independent. One physical position will manifest itself with different numeric coordinate values based on different geodetic references. The operation to perform a datum transformation is called a cartographic transformation (CT). The CRS catalog contains a list of such transformations. Often there are many realizations of transformations for a given pair of geodetic datums. The choice of transformation is non-trivial and typically the responsibility of geodesists or geomatics specialists. Ordinary end users or data consumers are not able to make such decisions.

This is the reason why so-called early-bound coordinate reference systems (EarlyBoundCRS) were introduced. An early-bound CRS pairs a (late-bound or un-bound) LateBoundCRS with a unique cartographic transformation CT. Typically this transformation links the CRS's geodetic reference to WGS 84. Different early-bound CRSs then enable the any datum to any datum case, using the hub CRS WGS 84. Generally, only EarlyBoundCRSs are of any practical use to applications because of their versatility to be converted to any other EarlyBoundCRS. Only a LateBoundCRS based on WGS 84 can deliver the same versatility. For simplicity, all CRS types have a transformationReady property. If this property is true, then data can likely be converted to any other geodetic reference.

Finally, there are map projections based on geographic CRSs, so-called projected CRSs. Projected CRSs use a Cartesian coordinate system, meaning that both axes are measured in length. All projected CRSs are initially defined as late-bound or un-bound CRSs. When such a CRS is bound to a cartographic transformation, a projected, early-bound CRS is created.

So far we only covered 2D CRSs, meaning the third dimension is implicitly given as height above mean sea level (MSL). Almost all CRSs currently in use are 2D CRSs. Currently, transformations between 2D CRSs do not change the vertical values (z-coordinate) because the values refer implicitly to the same MSL reference surface.

Eventually more formal 3D CRSs will be introduced, CompoundCRS. Such CRSs combine a horizontal CRS (a conventional 2D CRS) with a 1D vertical CRS. Both CRSs can be early-bound, meaning they are associated to a transformation to WGS 84 (2D) or associated to a transformation to MSL (1D). The CRS catalog contains a few examples of WGS 84 based UTM projections (2D) paired with the EGM96 height CRS (1D). These CRSs are 'demonstrators' for the concept but currently not supported by the coordinate conversion service.

Here are more notes about cartographic transformations. There are two types of transformations:

  • SingleCT, a single transformation, the most common type.
  • CompoundCT, which consists of many SingleCT items with a policy of how to use them.
    • The policy 'fallback' means that the list of transformations is tried one by one until a point is successfully transformed.
    • The policy 'concatenated' means that the points are sequentially transformed, such as T1->T2->T3.

Finally, to aid the selection process, CRS and CT can be associated with AreaOfUse definitions, which provide a simple bounding box in WGS 84 latitude and longitude. The CRS catalog offers a list of such definitions.

Overview of types delivered by the CRS Catalog:

Item typeLink to item details
LateBoundCRSLate-bound or un-bound CRS details
EarlyBoundCRSEarly-bound CRS details
CompoundCRSCompound CRS details
SingleCTSingle CT details
CompoundCTCompound CT details
AreaOfUseArea of use details

Back to table of contents

Use cases

The following sections elaborate a few use cases.

Back to table of contents

Main use cases

Find all CRSs in a given area, which are data CRS candidates. A coordinate reference system is often not enough to enable flexible coordinate conversion/transformation. To ensure that this is the case, it is possible to require transformation-ready CRSs, meaning CRSs which allow transformations to other geodetic datums.

Optionally, the area of use can be constrained. Decimal values are expected in degrees latitude, longitude referring to the WGS 84 CRS. The four values span a bounding box in spherical coordinates:

Geographical constraints by latitude/longitude box

Let us run an example with the following constraints:

  • Only return CRSs which are bound to a cartographic transformation to WGS 84 or based on WGS 84. This becomes a query constraint.
  • Only return CRSs which are based on NAD27, EPSG, or 4267. This becomes a query constraint.
  • Longitude range between 100°W and 80°W [-100, -80].
  • Latitude range between 20°N and 50°N [20, 50].
  • Limit the response to the first two items in the catalog.
  • Request that returned data contains the JSON structure of the essence rather than the persistable reference (default).
ParameterExample value in pathNotes
{longitudeLeft}-100In degrees; negative W, positive E, range [-180,180]
{latitudeLower}20In degrees; negative S, positive N, range [-90,90]
{longitudeRight}-80In degrees; negative W, positive E, range [-180,180]
{latitudeUpper}50In degrees; negative S, positive N, range [-90,90]
{offset}0Default 0
{limit}2Default 100
{mode}persistable_referenceWhat kind of response? (default) populates namedReference with name and persistable reference string.
{mode}essencePopulates essence property with structured contents.
{mode}persistable_and_essencePopulates both namedReference and essence.

Query constraint passed using the request body (JSON encoded). For valid search keywords, see the keyword table below:

{
  "query": "baseCRS.code:4267 transformationReady:true"
}

The query with the example values below:

POST /api/v2/search/crs?longitudeLeft=-100&latitudeLower=20&longitudeRight=-80&latitudeUpper=50&offset=0&limit=2&mode=essence
CURL search command
curl --request POST \
  --url '{root-url}/api/v2/search/crs?mode=essence&limit=2&offset=0&longitudeLeft=-100&longitudeRight=-80&latitudeLower=20&latitudeUpper=50' \
  --header 'Authorization: Bearer {Java-Web-Token}' \
  --header 'Content-Type: application/json' \
  -d '{
    "query": "baseCRS.code:4267 transformationReady:true"
  }'

Try this example by opening the API catalog in another window. The request with the parameters above creates the following response:

Response example
{
  "offset": 0,
  "count": 2,
  "totalCount": 49,
  "crses": [
    {
      "description": "NAD_1927_StatePlane_Louisiana_North_FIPS_1701 bound to NAD_1927_To_WGS_1984_79_CONUS [26781,15851]",
      "lastModified": "20170614",
      "aliasNames": [
        "LA-N",
        "SPCS27_1701"
      ],
      "namedReference": null,
      "source": "SIS factory catalog",
      "numberOfAxes": 2,
      "axisUnits": [
        "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":0.3048006096012192},\"symbol\":\"ftUS\",\"type\":\"USO\"}",
        "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":0.3048006096012192},\"symbol\":\"ftUS\",\"type\":\"USO\"}"
      ],
      "deprecationInfo": null,
      "essence": {
        "authCode": {
          "auth": "OSDU",
          "code": "26781079"
        },
        "type": "EBC",
        "ver": "PE_10_3_1",
        "name": "NAD27 * OGP-Usa Conus / Louisiana North [26781,15851]",
        "lateBoundCRS": {
          "authCode": {
            "auth": "EPSG",
            "code": "26781"
          },
          "type": "LBC",
          "ver": "PE_10_3_1",
          "name": "NAD_1927_StatePlane_Louisiana_North_FIPS_1701",
          "wkt": "PROJCS[\"NAD_1927_StatePlane_Louisiana_North_FIPS_1701\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Lambert_Conformal_Conic\"],PARAMETER[\"False_Easting\",2000000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",-92.5],PARAMETER[\"Standard_Parallel_1\",31.1666666666667],PARAMETER[\"Standard_Parallel_2\",32.6666666666667],PARAMETER[\"Latitude_Of_Origin\",30.6666666666667],UNIT[\"Foot_US\",0.304800609601219],AUTHORITY[\"EPSG\",26781]]"
        },
        "singleCT": {
          "authCode": {
            "auth": "EPSG",
            "code": "15851"
          },
          "type": "ST",
          "ver": "PE_10_3_1",
          "name": "NAD_1927_To_WGS_1984_79_CONUS",
          "wkt": "GEOGTRAN[\"NAD_1927_To_WGS_1984_79_CONUS\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NADCON\"],PARAMETER[\"Dataset_conus\",0.0],AUTHORITY[\"EPSG\",15851]]"
        },
        "compoundCT": null
      },
      "transformationReady": true,
      "crstype": "Projected",
      "baseCRSAuthorityCode": {
        "auth": "EPSG",
        "code": "4267"
      },
      "areaOfUse": {
        "description": "United States (USA) - Louisiana - counties of Avoyelles; Bienville; Bossier; Caddo; Caldwell; Catahoula; Claiborne; Concordia; De Soto; East Carroll; Franklin; Grant; Jackson; La Salle; Lincoln; Madison; Morehouse; Natchitoches; Ouachita; Rapides; Red River; Richland; Sabine; Tensas; Union; Vernon; Webster; West Carroll; Winn.",
        "lastModified": "20140501",
        "aliasNames": [],
        "namedReference": null,
        "name": "USA - Louisiana - SPCS - N",
        "deprecationInfo": null,
        "essence": {
          "name": null,
          "authCode": {
            "auth": "EPSG",
            "code": "2204"
          },
          "type": "AOU",
          "boundBox": {
            "lonMin": -94.05,
            "latMin": 30.85,
            "lonMax": -90.86,
            "latMax": 33.03
          }
        }
      }
    },
    {
      "description": "NAD_1927_StatePlane_Texas_North_FIPS_4201 bound to NAD_1927_To_WGS_1984_79_CONUS [32037,15851]",
      "lastModified": "20170614",
      "aliasNames": [
        "SPCS27_4201",
        "TX-N"
      ],
      "namedReference": null,
      "source": "SIS factory catalog",
      "numberOfAxes": 2,
      "axisUnits": [
        "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":0.3048006096012192},\"symbol\":\"ftUS\",\"type\":\"USO\"}",
        "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":0.3048006096012192},\"symbol\":\"ftUS\",\"type\":\"USO\"}"
      ],
      "deprecationInfo": null,
      "essence": {
        "authCode": {
          "auth": "OSDU",
          "code": "32037079"
        },
        "type": "EBC",
        "ver": "PE_10_3_1",
        "name": "NAD27 * OGP-Usa Conus / Texas North [32037,15851]",
        "lateBoundCRS": {
          "authCode": {
            "auth": "EPSG",
            "code": "32037"
          },
          "type": "LBC",
          "ver": "PE_10_3_1",
          "name": "NAD_1927_StatePlane_Texas_North_FIPS_4201",
          "wkt": "PROJCS[\"NAD_1927_StatePlane_Texas_North_FIPS_4201\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Lambert_Conformal_Conic\"],PARAMETER[\"False_Easting\",2000000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",-101.5],PARAMETER[\"Standard_Parallel_1\",34.65],PARAMETER[\"Standard_Parallel_2\",36.1833333333333],PARAMETER[\"Latitude_Of_Origin\",34.0],UNIT[\"Foot_US\",0.304800609601219],AUTHORITY[\"EPSG\",32037]]"
        },
        "singleCT": {
          "authCode": {
            "auth": "EPSG",
            "code": "15851"
          },
          "type": "ST",
          "ver": "PE_10_3_1",
          "name": "NAD_1927_To_WGS_1984_79_CONUS",
          "wkt": "GEOGTRAN[\"NAD_1927_To_WGS_1984_79_CONUS\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NADCON\"],PARAMETER[\"Dataset_conus\",0.0],AUTHORITY[\"EPSG\",15851]]"
        },
        "compoundCT": null
      },
      "transformationReady": true,
      "crstype": "Projected",
      "baseCRSAuthorityCode": {
        "auth": "EPSG",
        "code": "4267"
      },
      "areaOfUse": {
        "description": "United States (USA) - Texas - counties of: Armstrong; Briscoe; Carson; Castro; Childress; Collingsworth; Dallam; Deaf Smith; Donley; Gray; Hall; Hansford; Hartley; Hemphill; Hutchinson; Lipscomb; Moore; Ochiltree; Oldham; Parmer; Potter; Randall; Roberts; Sherman; Swisher; Wheeler.",
        "lastModified": "20140501",
        "aliasNames": [],
        "namedReference": null,
        "name": "USA - Texas - SPCS - N",
        "deprecationInfo": null,
        "essence": {
          "name": null,
          "authCode": {
            "auth": "EPSG",
            "code": "2253"
          },
          "type": "AOU",
          "boundBox": {
            "lonMin": -103.03,
            "latMin": 34.3,
            "lonMax": -99.99,
            "latMax": 36.5
          }
        }
      }
    }
  ]
}

Back to table of contents

Get all CRSs

When populating a multi-purpose CRS selector, this method offers access to all CRSs of any sub-type as defined in the catalog:

GET /api/v2/crs?offset={offset}&limit={limit}
ParameterValue
{offset}0 (default 0)
{limit}1000 (default 100, -1 for all)
{mode}What kind of response persistable_reference (default), populates namedReference or essence, populates essence property or persistable_and_essence to have both namedReference and essence populated.

Open Try it out: get-all-crs The response structure is of type CRSResults, which is the same structure as for the search use case above.

CURL get all CRS command
curl --request GET \
  --url '{root-url}/api/v2/crs?limit=1000&offset=0&mode=essence' \
  --header 'Authorization: Bearer {Java-Web-Token}'

Back to table of contents

Entire catalog request

In some cases apps may want to cache the entire catalog of coordinate reference systems and cartographic transforms. The CRS catalog service supports this with the following two methods:

  1. /catalog to request the catalog summary. Open Try it out in a new window. The response is of type Catalog.
  2. /catalog/attributes to request the last modification date of the catalog. Open Try it out in a new window. The response if of type CatalogAttributes.

The latter method allows apps to determine when the cached contents has become stale and needs a refresh.

The following table associates the arrays with the appropriate API methods to populate.

Array/ListTypeCountAPIDescription
lateBoundCRSeslist[LateBoundCRS]lateBoundCRSesCountTry it out: get-all-lateboundcrsThe list of late-bound coordinate reference systems.
earlyBoundCRSeslist[EarlyBoundCRS]earlyBoundCRSesCount[Try it out: get-all-earlyboundcrs]Try it out in a new windowThe list of early-bound coordinate reference systems.
compoundCRSeslist[CompoundCRS]compoundCRSesCountTry it out: get-all-compoundcrsThe list of compound coordinate reference systems.
singleCTslist[SingleCT]singleCTsCountTry it out: get-all-singlectThe list of single cartographic transforms.
compoundCTslist[CompoundCT]compoundCTsCount[Try it out: get-all-compoundct] (../apis/OSDU-CRS-Catalog-Service-V2.yaml)The list of compound cartographic transforms.
areaOfUseslist[AreaOfUse]areaOfUseCountTry it out: get-all-areas-use<The list of areas of use.

Back to table of contents

CRS catalog API overview <a name="preferred-api-v2"></a>

Headers
HeaderDescription
data-partition-id (Required)Specify the desired accessible partition ID. Only one data partition can be specified at a time.
correlation-id (Optional)Used to track a single request throughout all the services it passes through. This can be a GUID in the header with a key. If you are the service initiating the request, you should generate the ID. Otherwise, you should just forward it on in the request.

The Data Platform stores data in different data partitions, depending on the access to those data partitions in the OSDU system.

Note: Viewers permission to the provided data-partition is required to use these APIs.

MethodTry it out (in new window)Request typeResponse type
Catalog API
GET /api/v2/catalogTry it out: get-catalog-summary-Catalog
GET /api/v2/catalog/attributesTry it out: get-catalog-attributes-CatalogAttributes
Coordinate Reference System API
GET /api/v2/crs<Try it out: get-all-crs-CRSResults
POST /api/v2/crsTry it out: get-one-crsCRSRequestCRS
GET /api/v2/lateboundcrsTry it out: get-all-lateboundcrs-LateBoundCRSResults
POST /api/v2/lateboundcrsTry it out: get-one-lateboundcrsLateBoundCRSRequestLateBoundCRS
GET /api/v2/earlyboundcrsTry it out: get-all-earlyboundcrs-EarlyBoundCRSResults
POST /api/v2/earlyboundcrsTry it out: get-all-earlyboundcrsEarlyBoundCRSRequestEarlyBoundCRS
GET /api/v2/compoundcrsTry it out: get-all-compoundcrs-CompoundCRSResults
POST /api/v2/compoundcrsTry it out: get-one-compoundcrsCompoundCRSRequestCompoundCRS
POST /api/v2/search/crsTry it out: search-crsSearchCRSRequest, search keywordsCRSResults
Cartographic Transformations API
GET /api/v2/ctTry it out: get-all-ct-CTResults
POST /api/v2/ctTry it out: get-one-ctCTRequestCT
GET /api/v2/singlectTry it out: get-all-singlect-SingleCTResults
POST /api/v2/singlectTry it out: get-one-singlectSingleCTRequestSingleCT
GET /api/v2/compoundctTry it out: get-all-compoundct-CompoundCTResults
POST /api/v2/compoundctTry it out: get-one-compoundctCompoundCTRequestCompoundCT
POST /api/v2/search/ctTry it out: search-ctSearchCTRequest, search keywordsCTResults
Area of use API
GET /api/v2/areaTry it out: get-all-areas-use-AreaOfUseResults
POST /api/v2/areaTry it out: get-one-area-useAreaOfUseRequestAreaOfUse
POST /api/v2/search/areaTry it out: search-area-useSearchAreaOfUseRequest, search keywordsAreaOfUseResults

Back to table of contents

CRS search keywords

The following table lists the keyword codes for the Lucene style query elements.

Keyword codeConstrain byValues in use or example
name:Specific words/sub-strings in the nameExample: name:*ED50*
description:Specific sub-strings in the description
type:Type code for the CRStype:LBCRS (late-bound or un-bound CRS), type:EBCRS (early-bound CRS), type:CCRS (compound CRS)
authority:AuthorityExample: authority:EPSG
code:Authority code numberExample: code:4326
deprecationState:State of deprecationdeprecationState:identical (can be swapped) or deprecationState:corrected non-trivial deprecation
remarks:Specific sub-strings in the deprecation remarksExample: remarks:Deprecated
lastModified:Specific last modification datesExample: lastModified:20070827
source:CRS sourceExample: source:OGP
wellKnownText:Specific words/sub-strings in the well-known text (late-bound or un-bound CRSs only)Example: wellKnownText:*Clarke_1880_RGS*
crsType:Coordinate Reference System (CRS) typeExample: crsType:"Compound Projected"
baseCRS.authority:Projected CRS's base CRS authorityExample: baseCRS.authority:EPSG
baseCRS.code:Projected CRS's base CRS authority codeExample: baseCRS.code:4267 (NAD27)
horizontalCRS.authority:Compound CRS's horizontal CRS authorityExample: horizontalCRS.authority:EPSG
horizontalCRS.code:Compound CRS's horizontal CRS authority codeExample: horizontalCRS.code:32615
verticalCRS.authority:Compound CRS's vertical CRS authorityExample: verticalCRS.authority:EPSG
verticalCRS.code:Compound CRS's vertical CRS authority codeExample: verticalCRS.code:5773
lateBoundCRS.authority:Early-bound CRS's (late-bound) CRS authorityExample: lateBoundCRS.authority:EPSG
lateBoundCRS.code:Early-bound CRS's (late-bound) CRS authority codeExample: lateBoundCRS.code:23031
ct.authority:Early-bound CRS's cartographic transform authorityExample: ct.authority:EPSG
ct.code:Early-bound CRS's cartographic transform authority codeExample: ct.code:1612
transformationReady:CRS's transformation readiness, i.e. is the CRS ready to be used in datum transformations (true or false)transformationReady:true or transformationReady:false

Back to table of contents

CT search keywords

The following table lists the keyword codes for the Lucene style query elements.

Keyword codeConstrain byValues in use or example
name:Specific words/sub-strings in the nameExample: name:*NAD_1927*
description:Specific sub-strings in the description
type:Type code for the Cartographic Transform (CT)type:ST (single CT), type:CT (compound CT)
authority:AuthorityExample: authority:EPSG
code:Authority code numberExample: code:15851
deprecationState:State of deprecationdeprecationState:identical (can be swapped) or deprecationState:corrected non-trivial deprecation
remarks:Specific sub-strings in the deprecation remarksExample: remarks:*PE_10_1_0*
lastModified:Specific last modification datesExample: lastModified:20180611
source:CT sourceExample: source:OGP
wellKnownText:Specific words/sub-strings in the well-known text (late-bound or un-bound CRSs only)Example: wellKnownText:*Dataset_conus*
fromCRS.authority:Source CRS authorityfromCRS.authority:EPSG
fromCRS.code:Source CRS codefromCRS.code:4267
toCRS.authority:Target CRS authoritytoCRS.authority:EPSG
toCRS.code:Target CRS codetoCRS.code:4328
policy:Compound transformation policypolicy:fallback or policy:concatenated

Back to table of contents

Area of use search keywords

The following table lists the keyword codes for the Lucene style query elements. The keywords apply to all API versions.

Keyword codeConstrain byValues in use or example
name:Specific words/sub-strings in the nameExample: name:*America*
description:Specific sub-strings in the descriptionExample: description:*DMA ED50*
authority:AuthorityExample: authority:OSDU
code:Authority code numberExample: code:2205
deprecationState:State of deprecationdeprecationState:identical (can be swapped) or deprecationState:corrected non-trivial deprecation
remarks:Specific sub-strings in the deprecation remarks
lastModified:Specific last modification datesExample: lastModified:20180611

Back to table of contents

API data structures

Catalog item types

Catalog

Properties
NameTypeDescriptionNotes
areaOfUseCountintThe total number of areas of use in the catalog.[optional]
areaOfUseslist[AreaOfUse]The complete list of areas of use.[optional]
attributesCatalogAttributesThe name and last modification time of the catalog.[optional]
compoundCTsCountintThe total number of compoundCTs in the catalog.[optional]
compoundCTslist[CompoundCT]The complete list of compound cartographic transforms.[optional]
compoundCRSesCountintThe total number of compoundCRSes in the catalog.[optional]
compoundCRSeslist[CompoundCRS]The complete list of compound coordinate reference systems.[optional]
earlyBoundCRSesCountintThe total number of earlyBoundCRSes in the catalog.[optional]
earlyBoundCRSeslist[EarlyBoundCRS]The complete list of early-bound coordinate reference systems.[optional]
lateBoundCRSesCountintThe total number of lateBoundCRSes in the catalog.[optional]
lateBoundCRSeslist[LateBoundCRS]The complete list of late-bound coordinate reference systems.[optional]
singleCTsCountintThe total number of singleCTs in the catalog.[optional]
singleCTslist[SingleCT]The complete list of single cartographic transforms.[optional]
Catalog example
{
  "lateBoundCRSes": [],
  "lateBoundCRSesCount": 1151,
  "earlyBoundCRSes": [],
  "earlyBoundCRSesCount": 1059,
  "compoundCRSesCount": 60,
  "singleCTs": [],
  "singleCTsCount": 227,
  "compoundCTs": [],
  "compoundCTsCount": 1,
  "areaOfUseCount": 953,
  "attributes": {
    "name": "Minimal EPSG standard catalog",
    "description": "Catalog containing selected ESRI's standard EPSG coordinate reference systems and cartographic transforms, and limited early-bound coordinate reference systems where the CRS and TRF area-of-use intersect, augmented by Ocean factory catalog standard definitions."
    "lastModified": "2018-06-11T15:39:55.1229803Z"
  },
  "areasOfUse": [],
  "compoundCRSes": []
}

Back to API data structures - Back to table of contents

CatalogAttributes

Properties
NameTypeDescriptionNotes
descriptionstr[optional]
lastModifiedstrThe last modification date and time (UTC) of this catalog.[optional]
namestrName of the catalog.[optional]

Back to API data structures - Back to table of contents

LateBoundCRS

Properties
NameTypeDescriptionNotes
crstypestrThe type of the LateBoundCRS.[optional]
sourcestrThe source of the LateBoundCRS.[optional]
transformationReadyboolThe transformation readiness of the LateBoundCRS.[optional]
baseCRSAuthorityCodeAuthCodeThe base authority code of the LateBoundCRS.[optional]
aliasNameslist[str]Alias names for this LateBoundCRS.[optional]
axisUnitslist[str]Axis unit essences.[optional]
numberOfAxesintThe NumberOfAxes of the LateBoundCRS.[optional]
descriptionstrThe description of the LateBoundCRS.[optional]
lastModifiedstrThe LastModified of the LateBoundCRS.[optional]
areaOfUseAreaOfUseThe area of use for this CRS.[optional]
deprecationInfoCRSDeprecationInfoOnly if deprecated - additional information and potentially a recommended replacement CRS.[optional]
namedReferenceNamedReferenceA structure containing the item "Name" and the persistable reference string; populated if the request mode='persistableReference'.[optional]
essenceLateBoundCRSEssenceThe essence of the LateBoundCRS; populated if the request mode='essence'.[optional]
LateBoundCRS example
{
  "description": "CRS Scope: Geodetic survey.",
  "lastModified": "20040106",
  "aliasNames": [
    "Pointe Noire",
    "Congo 1960 Pointe Noire"
  ],
  "namedReference": {
    "name": "GCS_Pointe_Noire",
    "persistableReference": "{\"wkt\":\"GEOGCS[\\\"GCS_Pointe_Noire\\\",DATUM[\\\"D_Pointe_Noire\\\",SPHEROID[\\\"Clarke_1880_IGN\\\",6378249.2,293.466021293627]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433],AUTHORITY[\\\"EPSG\\\",4282]]\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_Pointe_Noire\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4282\"},\"type\":\"LBC\"}"
  },
  "source": "",
  "numberOfAxes": 2,
  "axisUnits": [
    "{\"measurement\":{\"ancestry\":\"Plane_Angle\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":0.0174532925199433},\"symbol\":\"dega\",\"type\":\"USO\"}",
    "{\"measurement\":{\"ancestry\":\"Plane_Angle\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":0.0174532925199433},\"symbol\":\"dega\",\"type\":\"USO\"}"
  ],
  "deprecationInfo": null,
  "essence": {
    "authCode": {
      "auth": "EPSG",
      "code": "4282"
    },
    "type": "LBC",
    "ver": "PE_10_3_1",
    "name": "GCS_Pointe_Noire",
    "wkt": "GEOGCS[\"GCS_Pointe_Noire\",DATUM[\"D_Pointe_Noire\",SPHEROID[\"Clarke_1880_IGN\",6378249.2,293.466021293627]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4282]]"
  },
  "transformationReady": false,
  "crstype": "Geographic2D",
  "baseCRSAuthorityCode": null,
  "areaOfUse": {
    "description": "Congo - onshore and offshore.",
    "lastModified": "20140501",
    "aliasNames": [],
    "namedReference": null,
    "name": "Congo",
    "deprecationInfo": null,
    "essence": {
      "name": null,
      "authCode": {
        "auth": "EPSG",
        "code": "1072"
      },
      "type": "AOU",
      "boundBox": {
        "lonMin": 8.84,
        "latMin": -6.91,
        "lonMax": 18.65,
        "latMax": 3.72
      }
    }
  }
}

Back to API data structures - Back to table of contents

LateBoundCRSEssence

Properties
NameTypeDescriptionNotes
typestrThe type identifier, fixed to 'LBC'.[default to 'LBC']
namestrThe name of the late-bound coordinate reference system.
verstrThe engine version issuing the definition.[optional]
wktstrWell-known text (Esri style) of the late-bound coordinate reference system.
authCodeAuthCodeThe authority code for this item.[optional]

Back to API data structures - Back to table of contents

EarlyBoundCRS

Properties
NameTypeDescriptionNotes
crsTypestrThe type of the EarlyBoundCRS.[optional]
sourcestrThe source of the EarlyBoundCRS.[optional]
transformationReadyboolThe transformation readiness of the EarlyBoundCRS, meaning: can data be transformed to WGS 84?[optional]
baseCRSAuthorityCodeAuthCodeThe base authority code of the LateBoundCRS.[optional]
aliasNameslist[str]Alias names for this EarlyBoundCRS.[optional]
axisUnitslist[str]Axis unit essences.[optional]
numberOfAxesintThe NumberOfAxes of the EarlyBoundCRS.[optional]
descriptionstrThe description of the EarlyBoundCRS.[optional]
lastModifiedstrThe LastModified of the EarlyBoundCRS.[optional]
areaOfUseAreaOfUseThe area of use for this CRS.[optional]
deprecationInfoCRSDeprecationInfoOnly if deprecated - additional information and potentially a recommended replacement CRS.[optional]
namedReferenceNamedReferenceA structure containing the item name and the persistable Reference string; populated if the request mode='persistableReference'.[optional]
essenceEarlyBoundCRSEssenceThe essence of the EarlyBoundCRS.[optional]
EarlyBoundCRS example
{
  "description": "ED_1950_UTM_Zone_31N bound to ED_1950_To_WGS_1984_24 [23031,1613]",
  "lastModified": "20180611",
  "aliasNames": [],
  "namedReference": {
    "name": "ED50 * EPSG-Nor S62 2001 / UTM zone 31N [23031,1613]",
    "persistableReference": "{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",3.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",23031]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_UTM_Zone_31N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"23031\"},\"type\":\"LBC\"},\"singleCT\":{\"wkt\":\"GEOGTRAN[\\\"ED_1950_To_WGS_1984_24\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"Position_Vector\\\"],PARAMETER[\\\"X_Axis_Translation\\\",-90.365],PARAMETER[\\\"Y_Axis_Translation\\\",-101.13],PARAMETER[\\\"Z_Axis_Translation\\\",-123.384],PARAMETER[\\\"X_Axis_Rotation\\\",0.333],PARAMETER[\\\"Y_Axis_Rotation\\\",0.077],PARAMETER[\\\"Z_Axis_Rotation\\\",0.894],PARAMETER[\\\"Scale_Difference\\\",1.994],AUTHORITY[\\\"EPSG\\\",1613]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_To_WGS_1984_24\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"1613\"},\"type\":\"ST\"},\"ver\":\"PE_10_3_1\",\"name\":\"ED50 * EPSG-Nor S62 2001 / UTM zone 31N [23031,1613]\",\"authCode\":{\"auth\":\"OSDU\",\"code\":\"23031024\"},\"type\":\"EBC\"}"
  },
  "source": "Ocean catalog",
  "numberOfAxes": 2,
  "axisUnits": [
    "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":1.0},\"symbol\":\"m\",\"type\":\"USO\"}",
    "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":1.0},\"symbol\":\"m\",\"type\":\"USO\"}"
  ],
  "deprecationInfo": null,
  "essence": {
    "authCode": {
      "auth": "OSDU",
      "code": "23031024"
    },
    "type": "EBC",
    "ver": "PE_10_3_1",
    "name": "ED50 * EPSG-Nor S62 2001 / UTM zone 31N [23031,1613]",
    "lateBoundCRS": {
      "authCode": {
        "auth": "EPSG",
        "code": "23031"
      },
      "type": "LBC",
      "ver": "PE_10_3_1",
      "name": "ED_1950_UTM_Zone_31N",
      "wkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]"
    },
    "singleCT": {
      "authCode": {
        "auth": "EPSG",
        "code": "1613"
      },
      "type": "ST",
      "ver": "PE_10_3_1",
      "name": "ED_1950_To_WGS_1984_24",
      "wkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_24\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Position_Vector\"],PARAMETER[\"X_Axis_Translation\",-90.365],PARAMETER[\"Y_Axis_Translation\",-101.13],PARAMETER[\"Z_Axis_Translation\",-123.384],PARAMETER[\"X_Axis_Rotation\",0.333],PARAMETER[\"Y_Axis_Rotation\",0.077],PARAMETER[\"Z_Axis_Rotation\",0.894],PARAMETER[\"Scale_Difference\",1.994],AUTHORITY[\"EPSG\",1613]]"
    },
    "compoundCT": null
  },
  "transformationReady": true,
  "crstype": "Projected",
  "baseCRSAuthorityCode": {
    "auth": "EPSG",
    "code": "4230"
  },
  "areaOfUse": {
    "description": "Intersection of Europe - 0°E to 6°E and ED50 by country [1634] and Norway - North Sea - offshore south of 62°N [2334]",
    "lastModified": "20180611",
    "aliasNames": [],
    "namedReference": null,
    "name": "Europe - 0°E to 6°E and ED50 by country, Norway - North Sea - offshore south of 62°N",
    "deprecationInfo": null,
    "essence": {
      "name": null,
      "authCode": {
        "auth": "OSDU",
        "code": "16342334"
      },
      "type": "AOU",
      "boundBox": {
        "lonMin": 1.37,
        "latMin": 56.08,
        "lonMax": 6.01,
        "latMax": 62
      }
    }
  }
}

Back to API data structures - Back to table of contents

EarlyBoundCRSEssence

Properties
NameTypeDescriptionNotes
typestrThe type identifier, fixed to 'EBC'.[default to 'EBC']
namestrThe name of the early-bound coordinate reference system.
verstrThe engine version issuing the definition.[optional]
lateBoundCRSLateBoundCRSEssenceLate-bound CRS, which is bound to a single (st) or compound (ct) transformation to WGS 84.
single_ctSingleCTEssenceSingle transformation, which binds the late-bound CRS (lb) to WGS 84. If absent, a compound transformation (ct) must be present.[optional]
compound_ctCompoundCTEssenceCompound transformation, which binds the late-bound CRS (lb) to WGS 84. If absent, a single transformation (st) must be present.[optional]
auth_codeAuthCodeThe authority code for this item.[optional]

Back to API data structures - Back to table of contents

CompoundCRS

Properties
NameTypeDescriptionNotes
crstypestrThe type of the CompoundCRS.[optional]
sourcestrThe source of the CompoundCRS.[optional]
transformationReadyboolThe transformation readiness of the CompoundCRS, meaning: can data be transformed to WGS 84?[optional]
baseCRSAuthorityCodeAuthCodeThe base authority code of the LateBoundCRS.[optional]
aliasNameslist[str]Alias names for this CompoundCRS.[optional]
axisUnitslist[str]Axis unit essences.[optional]
numberOfAxesintThe NumberOfAxes of the CompoundCRS.[optional]
descriptionstrThe description of the CompoundCRS.[optional]
lastModifiedstrThe LastModified of the CompoundCRS.[optional]
areaOfUseAreaOfUseThe area of use for this CRS.[optional]
deprecationInfoCRSDeprecationInfoOnly if deprecated - additional information and potentially a recommended replacement CRS.[optional]
namedReferenceNamedReferenceA structure containing the item name and the persistable reference string; populated if the request mode='persistableReference'.[optional]
essenceCompoundCRSEssenceThe essence of the CompoundCRS.[optional]
CompoundCRS example
{
  "description": "Horizontal CRS: CRS Scope: Large and medium scale topographic mapping and engineering survey.; Vertical CRS: CRS Scope: Geodesy. | Remarks: Zero-height surface resulting from the application of the EGM96 geoid model to the WGS 84 ellipsoid. Replaces EGM84 height (CRS code 5798). Replaced by EGM2008 height (CRS code 3855). | Information Source: NASA http://cddis.gsfc.nasa.gov/926/egm96/egm96.html",
  "lastModified": "20180611",
  "aliasNames": [],
  "namedReference": {
    "name": "WGS 84 / UTM zone 31N + EGM96 height",
    "persistableReference": "{\"horzLateBoundCRS\":{\"wkt\":\"PROJCS[\\\"WGS_1984_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",3.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",32631]]\",\"ver\":\"PE_10_3_1\",\"name\":\"WGS_1984_UTM_Zone_31N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"32631\"},\"type\":\"LBC\"},\"vertLateBoundCRS\":{\"wkt\":\"VERTCS[\\\"EGM96_Geoid\\\",VDATUM[\\\"EGM96_Geoid\\\"],PARAMETER[\\\"Vertical_Shift\\\",0.0],PARAMETER[\\\"Direction\\\",1.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",5773]]\",\"ver\":\"PE_10_3_1\",\"name\":\"EGM96_Geoid\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"5773\"},\"type\":\"LBC\"},\"ver\":\"PE_10_3_1\",\"name\":\"WGS 84 / UTM zone 31N + EGM96 height\",\"authCode\":{\"auth\":\"OSDU\",\"code\":\"326315773\"},\"type\":\"CC\"}"
  },
  "source": "Ocean catalog",
  "numberOfAxes": 3,
  "axisUnits": [
    "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":1.0},\"symbol\":\"m\",\"type\":\"USO\"}",
    "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":1.0},\"symbol\":\"m\",\"type\":\"USO\"}",
    "{\"measurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"scaleOffset\":{\"offset\":0.0,\"scale\":1.0},\"symbol\":\"m\",\"type\":\"USO\"}"
  ],
  "deprecationInfo": null,
  "essence": {
    "authCode": {
      "auth": "OSDU",
      "code": "326315773"
    },
    "type": "CC",
    "ver": "PE_10_3_1",
    "name": "WGS 84 / UTM zone 31N + EGM96 height",
    "horzLateBoundCRS": {
      "authCode": {
        "auth": "EPSG",
        "code": "32631"
      },
      "type": "LBC",
      "ver": "PE_10_3_1",
      "name": "WGS_1984_UTM_Zone_31N",
      "wkt": "PROJCS[\"WGS_1984_UTM_Zone_31N\",GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",32631]]"
    },
    "vertLateBoundCRS": {
      "authCode": {
        "auth": "EPSG",
        "code": "5773"
      },
      "type": "LBC",
      "ver": "PE_10_3_1",
      "name": "EGM96_Geoid",
      "wkt": "VERTCS[\"EGM96_Geoid\",VDATUM[\"EGM96_Geoid\"],PARAMETER[\"Vertical_Shift\",0.0],PARAMETER[\"Direction\",1.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",5773]]"
    },
    "horzEarlyBoundCRS": null,
    "vertEarlyBoundCRS": null
  },
  "transformationReady": false,
  "crstype": "Compound Projected Vertical",
  "baseCRSAuthorityCode": {
    "auth": "EPSG",
    "code": "4326"
  },
  "areaOfUse": {
    "description": "Between 0°E and 6°E, northern hemisphere between equator and 84°N, onshore and offshore. Algeria. Andorra. Belgium. Benin. Burkina Faso. Denmark - North Sea. France. Germany - North Sea. Ghana. Luxembourg. Mali. Netherlands. Niger. Nigeria. Norway. Spain. Togo. United Kingdom (UK) - North Sea.",
    "lastModified": "20150104",
    "aliasNames": [],
    "namedReference": null,
    "name": "World - N hemisphere - 0°E to 6°E - by country",
    "deprecationInfo": null,
    "essence": {
      "name": null,
      "authCode": {
        "auth": "EPSG",
        "code": "2060"
      },
      "type": "AOU",
      "boundBox": {
        "lonMin": 0,
        "latMin": 0,
        "lonMax": 6,
        "latMax": 84
      }
    }
  }
}

Back to API data structures - Back to table of contents

CompoundCRSEssence

Properties
NameTypeDescriptionNotes
typestrThe type identifier. Fixed to 'CC'.[default to 'CC']
namestrThe name of the compound coordinate reference system.
verstrThe engine version issuing the definition.[optional]
horzLateBoundCRSLateBoundCRSEssenceThe horizontal CRS of a compound CRS as late-bound CRS. If 'horzLateBoundCRS' is non-null, 'horzEarlyBoundCRS' must be null.[optional]
horzEarlyBoundCRSEarlyBoundCRSEssenceThe horizontal CRS of a compound CRS as early-bound CRS. If 'horzEarlyBoundCRS' is non-null, 'horzLateBoundCRS' must be null.[optional]
vertLateBoundCRSLateBoundCRSEssenceThe vertical CRS of the compound CRS as late-bound CRS. If 'vertLateBoundCRS' is non-null, 'vertEarlyBoundCRS' must be null.[optional]
vertEarlyBoundCRSEarlyBoundCRSEssenceThe vertical CRS of the compound CRS as early-bound CRS. If 'vertEarlyBoundCRS' is non-null, 'vertLateBoundCRS' must be null.[optional]
authCodeAuthCodeThe authority code for this item.[optional]

Back to API data structures - Back to table of contents

SingleCT

Properties
NameTypeDescriptionNotes
sourcestrThe source of the SingleCT.[optional]
aliasNameslist[str]Alias names for this SingleCT.[optional]
descriptionstrThe description of the SingleCT.[optional]
fromCRSAuthorityCodeAuthCodeThe 'from CRS' authority code of this SingleCT.[optional]
toCRSAuthorityCodeAuthCodeThe 'to CRS' authority code of this SingleCT.[optional]
lastModifiedstrThe LastModified of the SingleCT.[optional]
areaOfUseAreaOfUseThe area of use for this SingleCT.[optional]
deprecationInfoCTDeprecationInfoOnly if deprecated - additional information and potentially a recommended replacement CT.[optional]
namedReferenceNamedReferenceA structure containing the item Name and the persistable reference string; populated if the request mode='persistableReference'.[optional]
essenceSingleCTEssenceThe essence of the SingleCT.[optional]
SingleCT example
{
  "description": "Coord Op Scope: Recommended for oil industry use in US Gulf of Mexico (GoM). Accuracy at 67% confidence level is 0.15m onshore, 5m nearshore and undetermined farther offshore. | Tfm Accuracy: 5 | Remarks: Transformation taken from NAD27 to NAD83 (1) (code 1241) assuming that NAD83 is equivalent to WGS 84 within the accuracy of this tfm. Uses NADCON method which expects longitudes positive west; EPSG CRS codes 4267 and 4326 have longitudes positive east. | Information Source: OGP",
  "lastModified": "20060306",
  "aliasNames": [
    "NAD27 to WGS 84 (79)"
  ],
  "namedReference": {
    "name": "NAD_1927_To_WGS_1984_79_CONUS",
    "persistableReference": "{\"wkt\":\"GEOGTRAN[\\\"NAD_1927_To_WGS_1984_79_CONUS\\\",GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"NADCON\\\"],PARAMETER[\\\"Dataset_conus\\\",0.0],AUTHORITY[\\\"EPSG\\\",15851]]\",\"ver\":\"PE_10_3_1\",\"name\":\"NAD_1927_To_WGS_1984_79_CONUS\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"15851\"},\"type\":\"ST\"}"
  },
  "source": "OGP",
  "essence": {
    "authCode": {
      "auth": "EPSG",
      "code": "15851"
    },
    "type": "ST",
    "ver": "PE_10_3_1",
    "name": "NAD_1927_To_WGS_1984_79_CONUS",
    "wkt": "GEOGTRAN[\"NAD_1927_To_WGS_1984_79_CONUS\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NADCON\"],PARAMETER[\"Dataset_conus\",0.0],AUTHORITY[\"EPSG\",15851]]"
  },
  "toCRSAuthorityCode": {
    "auth": "EPSG",
    "code": "4326"
  },
  "fromCRSAuthorityCode": {
    "auth": "EPSG",
    "code": "4267"
  },
  "areaOfUse": {
    "description": "United States (USA) - CONUS including EEZ -onshore and offshore - Alabama; Arizona; Arkansas; California; Colorado; Connecticut; Delaware; Florida; Georgia; Idaho; Illinois; Indiana; Iowa; Kansas; Kentucky; Louisiana; Maine; Maryland; Massachusetts; Michigan; Minnesota; Mississippi; Missouri; Montana; Nebraska; Nevada; New Hampshire; New Jersey; New Mexico; New York; North Carolina; North Dakota; Ohio; Oklahoma; Oregon; Pennsylvania; Rhode Island; South Carolina; South Dakota; Tennessee; Texas; Utah; Vermont; Virginia; Washington; West Virginia; Wisconsin; Wyoming. US Gulf of Mexico (GoM) OCS.",
    "lastModified": "20140501",
    "aliasNames": [],
    "namedReference": null,
    "name": "USA - CONUS including EEZ",
    "deprecationInfo": null,
    "essence": {
      "name": null,
      "authCode": {
        "auth": "EPSG",
        "code": "2374"
      },
      "type": "AOU",
      "boundBox": {
        "lonMin": -129.17,
        "latMin": 23.81,
        "lonMax": -65.69,
        "latMax": 49.38
      }
    }
  },
  "deprecationInfo": null
}

Back to API data structures - Back to table of contents

SingleCTEssence

Properties
NameTypeDescriptionNotes
typestrThe type identifier, fixed to 'ST'.[default to 'ST']
namestrThe name of the simple cartographic transformation.
verstrThe engine version issuing the definition.[optional]
wktstrThe well-known text (Esri style) defining this transformation.
authCodeAuthCodeThe authority code for this item.[optional]

Back to API data structures - Back to table of contents

CompoundCT

Properties
NameTypeDescriptionNotes
sourcestrThe source of the CompoundCT.[optional]
aliasNameslist[str]Alias names for this CompoundCT.[optional]
descriptionstrThe description of the CompoundCT.[optional]
fromCRSAuthorityCodeAuthCodeThe 'from CRS' authority code of this CompoundCT.[optional]
toCRSAuthorityCodeAuthCodeThe 'to CRS' authority code of this CompoundCT.[optional]
lastModifiedstrThe LastModified of the CompoundCT.[optional]
areaOfUseAreaOfUseThe area of use for this CompoundCT.[optional]
deprecationInfoCTDeprecationInfoOnly if deprecated - additional information and potentially a recommended replacement CT.[optional]
namedReferenceNamedReferenceA structure containing the item Name and the persistable reference string; populated if the request mode='persistableReference'.[optional]
essenceCompoundCTEssenceThe essence of the CompoundCT.[optional]
CompoundCT example
{
  "description": "Fallback Coord Op Scope: Recommended for oil industry use in US Gulf of Mexico (GoM). Accuracy at 67% confidence level is 0.15m onshore, 5m nearshore and undetermined farther offshore. | Tfm Accuracy: 5 | Remarks: Transformation taken from NAD27 to NAD83 (1) (code 1241) assuming that NAD83 is equivalent to WGS 84 within the accuracy of this tfm. Uses NADCON method which expects longitudes positive west; EPSG CRS codes 4267 and 4326 have longitudes positive east. | Information Source: OGP/Coord Op Scope: Approximation at the +/- 1m level. | Tfm Accuracy: 1 | Remarks: Parameter file is from NAD27 to NAD83 (4) (code 1313) assuming that NAD83 is equivalent to WGS 84 within the accuracy of the transformation. | Information Source: OGP",
  "lastModified": "20180611",
  "aliasNames": [],
  "namedReference": {
    "name": "Fallback NAD27 to WGS 84 (79)/NAD27 to WGS 84 (33)",
    "persistableReference": "{\"policy\":\"Fallback\",\"cts\":[{\"wkt\":\"GEOGTRAN[\\\"NAD_1927_To_WGS_1984_79_CONUS\\\",GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"NADCON\\\"],PARAMETER[\\\"Dataset_conus\\\",0.0],AUTHORITY[\\\"EPSG\\\",15851]]\",\"ver\":\"PE_10_3_1\",\"name\":\"NAD_1927_To_WGS_1984_79_CONUS\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"15851\"},\"type\":\"ST\"},{\"wkt\":\"GEOGTRAN[\\\"NAD_1927_To_WGS_1984_33\\\",GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"NTv2\\\"],PARAMETER[\\\"Dataset_canada/Ntv2_0\\\",0.0],AUTHORITY[\\\"EPSG\\\",1693]]\",\"ver\":\"PE_10_3_1\",\"name\":\"NAD_1927_To_WGS_1984_33\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"1693\"},\"type\":\"ST\"}],\"ver\":\"PE_10_3_1\",\"name\":\"Fallback NAD27 to WGS 84 (79)/NAD27 to WGS 84 (33)\",\"authCode\":{\"auth\":\"OSDU\",\"code\":\"158511693\"},\"type\":\"CT\"}"
  },
  "source": "Ocean catalog",
  "essence": {
    "authCode": {
      "auth": "OSDU",
      "code": "158511693"
    },
    "type": "CT",
    "ver": "PE_10_3_1",
    "name": "Fallback NAD27 to WGS 84 (79)/NAD27 to WGS 84 (33)",
    "policy": "Fallback",
    "cts": [
      {
        "authCode": {
          "auth": "EPSG",
          "code": "15851"
        },
        "type": "ST",
        "ver": "PE_10_3_1",
        "name": "NAD_1927_To_WGS_1984_79_CONUS",
        "wkt": "GEOGTRAN[\"NAD_1927_To_WGS_1984_79_CONUS\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NADCON\"],PARAMETER[\"Dataset_conus\",0.0],AUTHORITY[\"EPSG\",15851]]"
      },
      {
        "authCode": {
          "auth": "EPSG",
          "code": "1693"
        },
        "type": "ST",
        "ver": "PE_10_3_1",
        "name": "NAD_1927_To_WGS_1984_33",
        "wkt": "GEOGTRAN[\"NAD_1927_To_WGS_1984_33\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NTv2\"],PARAMETER[\"Dataset_canada/Ntv2_0\",0.0],AUTHORITY[\"EPSG\",1693]]"
      }
    ]
  },
  "toCRSAuthorityCode": {
    "auth": "EPSG",
    "code": "4326"
  },
  "fromCRSAuthorityCode": {
    "auth": "EPSG",
    "code": "4267"
  },
  "areaOfUse": {
    "description": "Intersection of USA - CONUS including EEZ [2374] and Canada - NAD27 [4517]",
    "lastModified": "20180611",
    "aliasNames": [],
    "namedReference": null,
    "name": "USA - CONUS including EEZ + Canada - NAD27",
    "deprecationInfo": null,
    "essence": {
      "name": null,
      "authCode": {
        "auth": "OSDU",
        "code": "23744517"
      },
      "type": "AOU",
      "boundBox": {
        "lonMin": -129.17,
        "latMin": 23.81,
        "lonMax": -65.69,
        "latMax": 86.46
      }
    }
  },
  "deprecationInfo": null
}

Back to API data structures - Back to table of contents

CompoundCTEssence

Properties
NameTypeDescriptionNotes
typestrThe type identifier, fixed to 'CT'.[default to 'CT']
namestrThe name of the compound cartographic transformation.
verstrThe engine version issuing the definition.[optional]
policystrThe transformation policy - concatenated or fallback.
ctslist[SingleCTEssence]The ordered list of cartographic transformations.
authCodeAuthCodeThe authority code for this item.[optional]

Back to API data structures - Back to table of contents

CRS (generic)

Properties
NameTypeDescriptionNotes
essenceAnyCRSEssenceThe CRS's essence either a LateBoundCRSEssence, EarlyBoundCRSEssence or CompoundCRSEssence.[optional]
crsTypestrThe type of ths CRS.[optional]
sourcestrThe source of ths CRS.[optional]
transformation_readyboolThe transformation readiness of this CRS.[optional]
baseCRSAuthorityCodeAuthCodeThe base authority code of this CRS.[optional]
aliasNameslist[str]Alias names for this CRS.[optional]
axisUnitslist[str]Axis Unit Essences.[optional]
numberOfAxesintThe NumberOfAxes of this CRS.[optional]
descriptionstrThe description of this CRS.[optional]
lastModifiedstrThe LastModified of this CRS.[optional]
areaOfUseAreaOfUseThe area of use for this CRS.[optional]
deprecation_infoCRSDeprecationInfoOnly if deprecated - additional information and potentially a recommended replacement CRS.[optional]
namedReferenceNamedReferenceA structure containing the item Name and the persistable Reference string; populated if the request mode='persistable_reference'.[optional]

AnyCRSEssence

Properties
NameTypeDescriptionNotes
typestrThe type identifier.
namestrThe name of the coordinate reference system.
verstrThe engine version issuing the definition.[optional]
wktstrWell-known text (Esri style) of the late-bound coordinate reference system.[optional]
lateBoundCRSLateBoundCRSEssenceLate-bound CRS, which is bound to a single (st) or compound (ct) transformation to WGS 84.[optional]
singleCTSingleCTEssenceSingle transformation, which binds the late-bound CRS (lb) to WGS 84. If absent, a compound transformation (ct) must be present.[optional]
compoundCTCompoundCTEssenceCompound transformation, which binds the late-bound CRS (lb) to WGS 84. If absent, a single transformation (st) must be present.[optional]
horzLateBoundCRSLateBoundCRSEssenceThe horizontal CRS of a compound CRS as late-bound CRS. If 'horzLateBoundCRS' is non-null, 'horzEarlyBoundCRS' must be null.[optional]
horzEarlyBoundCRSEarlyBoundCRSEssenceThe horizontal CRS of a compound CRS as early-bound CRS. If 'horzEarlyBoundCRS' is non-null, 'horzLateBoundCRS' must be null.[optional]
vertLateBoundCRSLateBoundCRSEssenceThe vertical CRS of the compound CRS as late-bound CRS. If 'vertLateBoundCRS' is non-null, 'vertEarlyBoundCRS' must be null.[optional]
vertEarlyBoundCRSEarlyBoundCRSEssenceThe vertical CRS of the compound CRS as early-bound CRS. If 'vertEarlyBoundCRS' is non-null, 'vertLateBoundCRS' must be null.[optional]
authCodeAuthCodeThe authority code for this item.[optional]

Back to API data structures - Back to table of contents

CT (generic)

Properties
NameTypeDescriptionNotes
sourcestrThe source of the cartographic transformation.[optional]
aliasNameslist[str]Alias names for this cartographic transformation.[optional]
descriptionstrThe description of the cartographic transformation.[optional]
fromCRSAuthorityCodeAuthCodeThe 'from CRS' authority code of this cartographic transformation.[optional]
toCRSAuthorityCodeAuthCodeThe 'to CRS' authority code of this cartographic transformation.[optional]
lastModifiedstrThe LastModified of the cartographic transformation.[optional]
areaOfUseAreaOfUseThe area of use for this cartographic transformation.[optional]
deprecationInfoCTDeprecationInfoOnly if deprecated - additional information and potentially a recommended replacement cartographic transformation.[optional]
namedReferenceNamedReferenceA structure containing the item name and the persistable reference string; populated if the request mode='persistable_reference'.[optional]
essenceAnyCTEssenceThe essence of the cartographic transformation.[optional]

AnyCTEssence

Properties
NameTypeDescriptionNotes
typestrThe type identifier, either 'ST' or 'CT'.
namestrThe name of the simple cartographic transformation.
verstrThe engine version issuing the definition.[optional]
wktstrThe well-known text (Esri style) defining this transformation.[optional]
policystrThe transformation policy - concatenated or fallback.[optional]
ctslist[SingleCTEssence]The ordered list of cartographic transformations.[optional]
authCodeAuthCodeThe authority code for this item.[optional]

Back to API data structures - Back to table of contents

AreaOfUse

Properties
NameTypeDescriptionNotes
idstrThe internal ID of the AreaOfUse.[optional]
namestrThe name of the AreaOfUse.[optional]
descriptionstrThe description of the AreaOfUse.[optional]
lastModifiedstrThe LastModified of the AreaOfUse.[optional]
namedReferenceNamedReferenceA structure containing the item name and the persistable reference string; populated if the request mode='persistableReference'.[optional]
essenceAreaOfUseEssenceThe essence of the AreaOfUse.[optional]
AreaOfUse example
{
  "description": "United States (USA) - CONUS including EEZ -onshore and offshore - Alabama; Arizona; Arkansas; California; Colorado; Connecticut; Delaware; Florida; Georgia; Idaho; Illinois; Indiana; Iowa; Kansas; Kentucky; Louisiana; Maine; Maryland; Massachusetts; Michigan; Minnesota; Mississippi; Missouri; Montana; Nebraska; Nevada; New Hampshire; New Jersey; New Mexico; New York; North Carolina; North Dakota; Ohio; Oklahoma; Oregon; Pennsylvania; Rhode Island; South Carolina; South Dakota; Tennessee; Texas; Utah; Vermont; Virginia; Washington; West Virginia; Wisconsin; Wyoming. US Gulf of Mexico (GoM) OCS.",
  "lastModified": "20140501",
  "aliasNames": [],
  "namedReference": {
    "name": "USA - CONUS including EEZ",
    "persistableReference": "{\"boundBox\":{\"lonMin\":-129.17,\"latMin\":23.81,\"lonMax\":-65.69,\"latMax\":49.38},\"authCode\":{\"auth\":\"EPSG\",\"code\":\"2374\"},\"type\":\"AOU\"}"
  },
  "name": "USA - CONUS including EEZ",
  "deprecationInfo": null,
  "essence": {
    "name": null,
    "authCode": {
      "auth": "EPSG",
      "code": "2374"
    },
    "type": "AOU",
    "boundBox": {
      "lonMin": -129.17,
      "latMin": 23.81,
      "lonMax": -65.69,
      "latMax": 49.38
    }
  }
}

Back to API data structures - Back to table of contents

AreaOfUseEssence

Properties
NameTypeDescriptionNotes
typestrThe type identifier, fixed to 'AOU'.[default to 'AOU']
boundBoxBoundBoxThe bounding box in latitude and longitude WGS 84 based.
authCodeAuthCodeThe authority code for this item.[optional]

Back to API data structures - Back to table of contents

BoundBox

Properties
NameTypeDescriptionNotes
lon_minfloatThe left longitude limit in degrees; the longitude can wrap around the datum line.
lon_maxfloatThe right longitude limit in degrees; the longitude can wrap around the datum line.
lat_minfloatThe upper latitude limit in degrees.
lat_maxfloatThe lower latitude limit in degrees.

Back to API data structures - Back to table of contents

AuthCode

Properties
NameTypeDescriptionNotes
authstrThe name of the authority issuing the code. Usually a string but it can be NULL for transient items.[default to 'NULL']
codestrThe code issued by the authority. Usually a number but it can be NULL for transient items.[default to 'NULL']

Back to API data structures - Back to table of contents

NamedReference

Properties
NameTypeDescriptionNotes
namestrThe name of the item.[optional]
persistableReferencestrThe item 'essence' serialized into a JSON string.[optional]

Back to API data structures - Back to table of contents

CTDeprecationInfo

Properties
NameTypeDescriptionNotes
deprecationStatestrState, one of {identical, corrected, unresolved}.[optional]
remarksstrFurther explanation of the deprecation.[optional]
supersededByCTstrThe cartographic transform to be used instead, if one is recommended.[optional]

Back to API data structures - Back to table of contents

CRSDeprecationInfo

Properties
NameTypeDescriptionNotes
deprecationStatestrState, one of {identical, corrected, unresolved}.[optional]
remarksstrFurther explanation of the deprecation.[optional]
supersededByCRSstrThe coordinate reference system to be used instead, if one is recommended.[optional]

Back to API data structures - Back to table of contents

AreaOfUseDeprecationInfo

Properties
NameTypeDescriptionNotes
deprecation_statestrState, one of {identical, corrected, unresolved}.[optional]
remarksstrFurther explanation of the deprecation.[optional]
supersededByAoustrThe AreaOfUse ID to be used instead, if one is recommended.[optional]

Request types

LateBoundCRSRequest

Properties

Back to API data structures - Back to table of contents

NameTypeDescriptionNotes
persistableReferencestrThe persistable reference string, either the essence of the LateBoundCRS serialized into a JSON string or an encoded string (version 1).[optional]
essenceLateBoundCRSEssenceThe essence for the LateBoundCRS. Either the essence or persistableReference must be non-null.[optional]

Back to API data structures - Back to table of contents

EarlyBoundCRSRequest

Properties
NameTypeDescriptionNotes
persistableReferencestrThe persistable reference string, either the essence of the EarlyBoundCRS serialized into a JSON string or an encoded string (version 1).[optional]
essenceEarlyBoundCRSEssenceThe essence for the EarlyBoundCRS. Either the essence or persistableReference must be non-null.[optional]

Back to API data structures - Back to table of contents

CompoundCRSRequest

Properties
NameTypeDescriptionNotes
persistableReferencestrThe persistable reference string, either the essence of the CompoundCRS serialized into a JSON string or an encoded string (version 1).[optional]
essenceCompoundCRSEssenceThe essence for the CompoundCRS. Either the essence or persistableReference must be non-null.[optional]

Back to API data structures - Back to table of contents

CRSRequest

Properties
NameTypeDescriptionNotes
persistableReferencestrThe persistable reference string, either the essence of the CRS serialized into a JSON string or an encoded string (version 1).[optional]
essenceAnyCRSEssenceThe essence Json for the CRS. Either the essence or persistableReference must be non-null.[optional]

Back to API data structures - Back to table of contents

SingleCTRequest

Properties
NameTypeDescriptionNotes
persistableReferencestrThe persistable reference string, either the essence of the SingleCT serialized into a JSON string or an encoded string (version 1).[optional]
essenceSingleCTEssenceThe essence for the SingleCT. Either the essence or persistableReference must be non-null.[optional]

Back to API data structures - Back to table of contents

CompoundCTRequest

Properties
NameTypeDescriptionNotes
persistableReferencestrThe persistable reference string, either the essence of the CompoundCT serialized into a JSON string or an encoded string (version 1).[optional]
essenceCompoundCTEssenceThe essence for the CompoundCT. Either the essence or persistableReference must be non-null.[optional]

Back to API data structures - Back to table of contents

CTRequest

Properties
NameTypeDescriptionNotes
persistableReferencestrThe persistable reference string, either the essence of the cartographic transform (CT) serialized into a JSON string or an encoded string (version 1).[optional]
essenceAnyCTEssenceThe essence Json for the CT. Either the essence or persistableReference must be non-null.[optional]

Back to API data structures - Back to table of contents

AreaOfUseRequest

Properties
NameTypeDescriptionNotes
persistableReferencestrThe persistable reference string, either the essence of the AreaOfUse serialized into a JSON string or an encoded string (version 1).[optional]
essenceAreaOfUseEssenceArea of use essence. Either the essence or persistableReference must be non-null.[optional]

Back to API data structures - Back to table of contents

Response types

AreaOfUseResults

Properties
NameTypeDescriptionNotes
areasOfUselist[AreaOfUse]An array of AreaOfUse[optional]
countintNumber of elements in the response.[optional]
offsetintOffset to the first catalog item in the response, as set in the request.[optional]
totalCountintNumber of elements in the catalog.[optional]

Back to API data structures - Back to table of contents

LateBoundCRSResults

Properties
NameTypeDescriptionNotes
crseslist[LateBoundCRS]An array of LateBoundCRS[optional]
countintNumber of elements in the response.[optional]
offsetintOffset to the first catalog item in the response, as set in the request.[optional]
totalCountintNumber of elements in the catalog.[optional]

Back to API data structures - Back to table of contents

EarlyBoundCRSResults

Properties
NameTypeDescriptionNotes
crseslist[EarlyBoundCRS]An array of EarlyBoundCRS.[optional]
countintNumber of elements in the response.[optional]
offsetintOffset to the first catalog item in the response, as set in the request.[optional]
totalCountintNumber of elements in the catalog.[optional]

Back to API data structures - Back to table of contents

CompoundCRSResults

Properties
NameTypeDescriptionNotes
crseslist[CompoundCRS]An array of CompoundCRS[optional]
countintNumber of elements in the response.[optional]
offsetintOffset to the first catalog item in the response, as set in the request.[optional]
totalCountintNumber of elements in the catalog.[optional]

Back to API data structures - Back to table of contents

CRSResults

Properties
NameTypeDescriptionNotes
crseslist[CRS]An array of (any sub-type of) CRS.[optional]
countintNumber of elements in the response.[optional]
offsetintOffset to the first catalog item in the response, as set in the request.[optional]
totalCountintNumber of elements in the catalog.[optional]

Back to API data structures - Back to table of contents

SingleCTResults

Properties
NameTypeDescriptionNotes
ctslist[SingleCT]An array of SingleCTs.[optional]
countintNumber of elements in the response.[optional]
offsetintOffset to the first catalog item in the response, as set in the request.[optional]
totalCountintNumber of elements in the catalog.[optional]

Back to API data structures - Back to table of contents

CompoundCTResults

Properties
NameTypeDescriptionNotes
ctslist[CompoundCT]An array of CompoundCTs.[optional]
countintNumber of items returned in this response.[optional]
offsetintOffset to the first catalog item in the response, as set in the request.[optional]
totalCountintTotal number of items in the catalog.[optional]

Back to API data structures - Back to table of contents

CTResults

Properties
NameTypeDescriptionNotes
ctslist[CT]An array of (any sub-type of) cartographic transforms.[optional]
countintNumber of elements in the response.[optional]
offsetintOffset to the first catalog item in the response, as set in the request.[optional]
totalCountintNumber of elements in the catalog.[optional]

Back to API data structures - Back to table of contents